---
title: How to find information in specifications
slug: MDN/Contribute/Howto/Write_an_API_reference/Find_info_in_specifications
tags:
  - Guide
  - Howto
  - MDN Meta
  - NeedsContent
---
<div>{{MDNSidebar}}</div><p>{{draft}}</p>

<p>When writing technical documentation about Web technologies, one thing you'll find yourself doing regularly is reading specifications. There are hundreds of them describing technologies for the Web, written by a great many different people and organizations. Being able to make sense of them is important, and this article will attempt to help you do just that. Be aware that there are many sites that create help documents that interpret the standards (correctly or incorrectly), but there should be a single canonical specification that should be referred to when writing documentation.</p>

<p><span class="seoSummary">This article will help you find and understand the specifications that describe Web technologies, so that you can write better documentation.</span></p>

<h2 id="Finding_specifications">Finding specifications</h2>

<p>The primary organization responsible for the World Wide Web standards is the <a href="http://www.w3.org/TR/">World Wide Web Consortium</a> or W3C for short. The list of standards and drafts through the W3C can be <a href="http://www.w3.org/TR/">found on the w3.org website</a>. This is a useful starting place for researching the accepted specifications for various web technologies. Take into account when accessing the standards that they can be a work in progress and have changing details according to their level of maturation. These <a href="http://www.w3.org/2005/10/Process-20051014/tr">maturity levels for the W3C</a> are officially defined as Working Draft, Candidate Recommendation, Proposed Recommendation, and W3C Recommendation. The more solid a specification, the further down the former list it will be. As the specifications develop, browsers will typically have more solid support for the feature-sets. However, <span style="line-height: 1.5;">specific browsers do not always adhere to the specifications as they are laid out, and can have different levels of support.</span></p>

<p><span style="line-height: 1.5;">Another organization, called {{Glossary("WHATWG")}}, produces specifications for certain advanced technologies.  <strong>As a rule, when WHATWG and W3C both publish a spec for the same technology, MDN treats the WHATWG spec as canonical.</strong></span></p>

<p>There can be other specification groups online to be aware of. For instance <a href="http://khronos.org/registry/webgl/specs/1.0/">WebGL</a> is being developed and maintained by the <a href="https://www.khronos.org/">Khronos Group</a>.</p>

<p>&lt;&lt;how do you know when a spec is "done enough" to start writing about? are there other spec groups to add?&gt;&gt;</p>

<h2 id="Making_sense_of_WebIDL">Making sense of WebIDL</h2>

<p>See <a href="/en-US/docs/MDN/Contribute/Howto/Write_an_API_reference/Information_contained_in_a_WebIDL_file">information contained in a WebIDL file.</a></p>

<h3 id="Tidbits">Tidbits</h3>

<p>Just a few notes to integrate into the content of this section as it's written.</p>

<ul>
 <li>If there's no [NoInterfaceObject] in the interface's IDL, there exists a property on the {{domxref("Window")}} object, such as <code>window.Node</code>; if the interface has a constructor, that constructor can be called, such as {{domxref("Window.URL")}}.</li>
</ul>
